Bug 1303961 (CVE-2016-0774) - CVE-2016-0774 kernel: pipe buffer state corruption after unsuccessful atomic read from pipe
Summary: CVE-2016-0774 kernel: pipe buffer state corruption after unsuccessful atomic ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-0774
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1239006 1290419 1302223 1310148 1310149
Blocks: 1302237
TreeView+ depends on / blocked
 
Reported: 2016-02-02 14:34 UTC by Petr Matousek
Modified: 2019-09-29 13:43 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the fix for CVE-2015-1805 incorrectly kept buffer offset and buffer length in sync on a failed atomic read, potentially resulting in a pipe buffer state corruption. A local, unprivileged user could use this flaw to crash the system or leak kernel memory to user space.
Clone Of:
Environment:
Last Closed: 2016-03-23 17:38:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0103 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2016-02-02 21:58:30 UTC
Red Hat Product Errata RHSA-2016:0494 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2016-03-23 01:50:10 UTC
Red Hat Product Errata RHSA-2016:0617 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2016-04-12 13:25:32 UTC

Description Petr Matousek 2016-02-02 14:34:35 UTC
It was found that the fix for CVE-2015-1805 incorrectly kept buffer offset and
buffer length in sync on failed atomic read, potentially resulting in pipe
buffer state corruption.

A local, unprivileged user could use this flaw to crash the system or leak
kernel memory to user-space.

Upstream Linux kernel is not affected by this flaw as it was introduced by
the Red Hat Enterprise Linux only fix for CVE-2015-1805.

Acknowledgements:

The security impact of this issue was discovered by Red Hat.

Comment 1 errata-xmlrpc 2016-02-02 17:04:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.1 EUS - Server and Compute Node Only

Via RHSA-2016:0103 https://rhn.redhat.com/errata/RHSA-2016-0103.html

Comment 3 errata-xmlrpc 2016-03-22 21:51:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0494 https://rhn.redhat.com/errata/RHSA-2016-0494.html

Comment 5 errata-xmlrpc 2016-04-12 09:25:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.6 Extended Update Support

Via RHSA-2016:0617 https://rhn.redhat.com/errata/RHSA-2016-0617.html


Note You need to log in before you can comment on or make changes to this bug.